<?php
/**
 * Allows the special page title to be translated to another language.
 * The page title can be customized into another language
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'Campaigns' => [ 'Campaigns' ],
	'UploadWizard' => [ 'UploadWizard' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'Campaigns' => [ 'حملات' ],
	'UploadWizard' => [ 'ساحر_الرفع' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'Campaigns' => [ 'حملات' ],
	'UploadWizard' => [ 'ساحر_الرفع' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'UploadWizard' => [ 'আপল’ড_প্ৰক্ৰিয়া' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'UploadWizard' => [ 'Мастер_загрузки' ],
];

/** Bashkir (башҡортса) */
$specialPageAliases['ba'] = [
	'UploadWizard' => [ 'UploadWizard' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'UploadWizard' => [ 'جاوگرین_بُرز_کنۆک' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'Campaigns' => [ 'ক্যাম্পেইন' ],
	'UploadWizard' => [ 'আপলোড_উইজার্ড' ],
];

/** буряад (буряад) */
$specialPageAliases['bxr'] = [
	'UploadWizard' => [ 'Ашаалха_Зэмсэг' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'UploadWizard' => [ 'Чуяхаран_говзанча' ],
];

/** Danish (dansk) */
$specialPageAliases['da'] = [
	'UploadWizard' => [ 'Vejviser_til_oplægning_af_filer' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'Campaigns' => [ 'Kampagnen' ],
	'UploadWizard' => [ 'Hochladeassistent' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'Campaigns' => [ 'Holi' ],
	'UploadWizard' => [ 'SihirbazêBarkerdışi' ],
];

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = [
	'UploadWizard' => [ 'ΟδηγόςΑνεβάσματος' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'UploadWizard' => [ 'AsistenteCarga' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'Campaigns' => [ 'Kampaaniad' ],
	'UploadWizard' => [ 'Üleslaadimisviisard' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'UploadWizard' => [ 'جادوگر_بارگذاری' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'UploadWizard' => [ 'Asistente_de_subidas', 'Asistente_de_cargas' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'UploadWizard' => [ 'Uffelade-Assistent' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'Campaigns' => [ 'מבצעים' ],
	'UploadWizard' => [ 'אשף_ההעלאה' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'Campaigns' => [ 'Kampanje' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'UploadWizard' => [ 'AsistanChajman' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'UploadWizard' => [ 'Assistente_de_incargamento' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'UploadWizard' => [ 'Wisaya_pengunggahan', 'WisayaPengunggahan' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'UploadWizard' => [ 'CaricamentoGuidato' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'UploadWizard' => [ 'アップロードウィザード' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'Campaigns' => [ '캠페인' ],
	'UploadWizard' => [ '올리기마법사' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'UploadWizard' => [ 'Assistent_fir_d\'Eroplueden' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'Campaigns' => [ 'Кампањи' ],
	'UploadWizard' => [ 'ПомошникЗаПодигање' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'Campaigns' => [ 'മേളകൾ' ],
	'UploadWizard' => [ 'അപ്‌ലോഡ്_സഹായി' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'UploadWizard' => [ 'चढवय्या_सुक्षमता-प्रणाली' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'UploadWizard' => [ 'Opplastingsveiviser' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'UploadWizard' => [ 'Opstuurhulpe' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'Campaigns' => [ 'Campagnes' ],
	'UploadWizard' => [ 'WizardUploaden' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'UploadWizard' => [ 'ਅੱਪਲੋਡ_ਵਿਜ਼ਾਰਡ' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'Campaigns' => [ 'Inicjatywy' ],
	'UploadWizard' => [ 'Kreator_przesyłania' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'UploadWizard' => [ 'Мастер_загрузки' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'UploadWizard' => [ 'CaricamentoGuidato' ],
];

/** Sinhala (සිංහල) */
$specialPageAliases['si'] = [
	'UploadWizard' => [ 'උඩුගත_කිරීමේ_මාය_අඳුන' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'Campaigns' => [ 'Кампање' ],
	'UploadWizard' => [ 'Чаробњак_за_отпремање' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'Campaigns' => [ 'Kampanje' ],
	'UploadWizard' => [ 'Čarobnjak_za_otpremanje' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'Campaigns' => [ 'Kampanjer' ],
	'UploadWizard' => [ 'Uppladdningsguide' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'UploadWizard' => [ 'YüklemeSihirbazı' ],
];

/** Tuvinian (тыва дыл) */
$specialPageAliases['tyv'] = [
	'UploadWizard' => [ 'Мерген_чүдүрүлге' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'Campaigns' => [ 'Кампанії' ],
	'UploadWizard' => [ 'Майстер_завантаження', 'Мастер_загрузки' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'Campaigns' => [ 'Chiến_dịch' ],
	'UploadWizard' => [ 'Thuật_sĩ_tải_lên' ],
];

/** Cantonese (粵語) */
$specialPageAliases['yue'] = [
	'UploadWizard' => [ '上載精靈' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'Campaigns' => [ '活动' ],
	'UploadWizard' => [ '上传向导', '上传精灵' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'UploadWizard' => [ '上載精靈' ],
];
